# Class: ApiToken

## ApiToken(apiTokenId, token, isDeleted, utcDateCreated)

ApiToken is an entity representing token used to authenticate against Trilium API from client applications. Currently used only by Trilium Sender.

## Constructor

#### new ApiToken(apiTokenId, token, isDeleted, utcDateCreated)

##### Parameters:

Name | Type | Description
--- | --- | ---
`apiTokenId` | string | primary key
`token` | string |
`isDeleted` | boolean | true if API token is deleted
`utcDateCreated` | string |

Source:
  - entities/api_token.js, line 16

### Extends

- Entity